Package wx :: Package lib :: Package agw :: Module rulerctrl :: Class Indicator

[frames | no frames]

## Class Indicator

This class holds all the information about a single indicator inside RulerCtrl. You should not call this class directly. Use ruler.AddIndicator(id, value) to add an indicator to your RulerCtrl.

Method Summary
| ``__init__`(self, parent, id, value)` Default class constructor.
| ``Draw`(self, dc)` Actually draws the indicator.
| ``GetId`(self)` Returns the indicator id.
| ``GetImageSize`(self)` Returns the indicator bitmap size.
| ``GetPosition`(self)` Returns the position at which we should draw the indicator bitmap.
| ``GetRect`(self)` Returns the indicator rect.
| ``GetValue`(self)` Returns the indicator value.
| ``RotateImage`(self, img)` Rotates the default indicator bitmap.
| ``SetColour`(self, colour)` Sets the indicator colour.
| ``SetValue`(self, value)` Sets the indicator value.

Method Details

### __init__(self, parent, id=-1, value=0)
(Constructor)

Default class constructor.

### Draw(self, dc)

Actually draws the indicator.

### GetId(self)

Returns the indicator id.

### GetImageSize(self)

Returns the indicator bitmap size.

### GetPosition(self)

Returns the position at which we should draw the indicator bitmap.

### GetRect(self)

Returns the indicator rect.

### GetValue(self)

Returns the indicator value.

### RotateImage(self, img=None)

Rotates the default indicator bitmap.

### SetColour(self, colour)

Sets the indicator colour. Requires PIL.

### SetValue(self, value)

Sets the indicator value.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:54:48 2009 | http://epydoc.sf.net